﻿@model List<Rokolabs.Library.WebApp.Models.ViewModels.UserVM>

@{
    ViewBag.Title = "Users";
}

<h2>Users</h2>

@using (Html.BeginForm("setroles", "Users"))
{
    <div class="form-horizontal">

        <div class="form-group">

            <table class="table">
                <tr>
                    <th>
                        @Html.DisplayNameFor(model => model.First().Login)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.First().Role)
                    </th>
                    <th>
                    </th>
                </tr>

                @for (int i = 0; i < Model.Count; i++)
                {
                    <tr>
                        <td>
                            @Html.DisplayFor(modelItem => Model[i].Login)
                            @Html.HiddenFor(modelItem => Model[i].UserId)
                        </td>
                        <td>
                            @if (Model[i].Login == User.Identity.Name)
                            {
                                @Html.DisplayFor(modelItem => Model[i].Role)
                                @Html.HiddenFor(modelItem => Model[i].Role)
                            }
                            else
                            {
                                @Html.DropDownListFor(modelItem => Model[i].Role, ViewBag.Roles[i] as IEnumerable<SelectListItem>, htmlAttributes: new { @class = "form-control" })                              
                            }

                        </td>
                    </tr>
                }

                <tr>
                    <td>
                        <input type="submit" value="Save" class="btn btn-default" />
                    </td>

                    <td>
                    </td>

                    <td>
                    </td>
                </tr>

            </table>

        </div>

    </div>
}



